"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = __importDefault(require("fs"));
var js_yaml_1 = __importDefault(require("js-yaml"));
var assert_1 = __importDefault(require("assert"));
var CucumberExpressionParser_js_1 = __importDefault(require("../src/CucumberExpressionParser.js"));
var CucumberExpressionError_js_1 = __importDefault(require("../src/CucumberExpressionError.js"));
describe('Cucumber expression parser', function () {
    fs_1.default.readdirSync('../testdata/ast').forEach(function (testcase) {
        var testCaseData = fs_1.default.readFileSync("../testdata/ast/" + testcase, 'utf-8');
        var expectation = js_yaml_1.default.load(testCaseData);
        it("" + testcase, function () {
            var parser = new CucumberExpressionParser_js_1.default();
            if (expectation.exception == undefined) {
                var node = parser.parse(expectation.expression);
                assert_1.default.deepStrictEqual(JSON.parse(JSON.stringify(node)), // Removes type information.
                JSON.parse(expectation.expected));
            }
            else {
                assert_1.default.throws(function () {
                    parser.parse(expectation.expression);
                }, new CucumberExpressionError_js_1.default(expectation.exception));
            }
        });
    });
});
//# sourceMappingURL=CucumberExpressionParserTest.js.map