import fs from 'fs';
import yaml from 'js-yaml';
import assert from 'assert';
import CucumberExpressionParser from '../src/CucumberExpressionParser.js';
import CucumberExpressionError from '../src/CucumberExpressionError.js';
describe('Cucumber expression parser', () => {
    fs.readdirSync('../testdata/ast').forEach((testcase) => {
        const testCaseData = fs.readFileSync(`../testdata/ast/${testcase}`, 'utf-8');
        const expectation = yaml.load(testCaseData);
        it(`${testcase}`, () => {
            const parser = new CucumberExpressionParser();
            if (expectation.exception == undefined) {
                const node = parser.parse(expectation.expression);
                assert.deepStrictEqual(JSON.parse(JSON.stringify(node)), // Removes type information.
                JSON.parse(expectation.expected));
            }
            else {
                assert.throws(() => {
                    parser.parse(expectation.expression);
                }, new CucumberExpressionError(expectation.exception));
            }
        });
    });
});
//# sourceMappingURL=CucumberExpressionParserTest.js.map